%define upstream_name    ODF-lpOD
%define upstream_version 1.121

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Open Document Processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ODF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Type)
BuildRequires: perl(IO::File)
BuildRequires: perl(Image::Size)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Twig)
BuildArch: noarch

%description
This module is an office document management interface. It allows the users
to create or transform office documents, or to extract data from them. It
can handle files which comply with the ODF standard and whose type is
_text_ (odt), _spreadsheet_ (ods), _presentation_ (odp) or _drawing_ (odg).
It interacts directly with the files and doesn't depend on a particular
office software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml Changes README LICENSE INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/lpod_test
%{_mandir}/man1/lpod_test.1.xz


%changelog

* Fri Feb 22 2013 kharec <kharec> 1.121.0-1.mga3
+ Revision: 399901
- imported package perl-ODF-lpOD

